%if 0%{?fedora} || 0%{?rhel} >= 8
%bcond_without python3
%global py2_prefix 2
%else
%bcond_with python3
%global py2_prefix %{nil}
%endif

%global srcname pyrpmmd

%global sum Python module for reading rpm-md repo data

%global desc \
pyrpmmd is an independent Python module for reading \
rpm-md repository metadata. The code is derived from \
the repomd parsing code from Yum.


Name:           python-%{srcname}
Version:        0.1.1
Release:        1%{?dist}
Summary:        %{sum}

License:        GPLv2+
URL:            https://pagure.io/%{srcname}
Source0:        https://releases.pagure.org/%{srcname}/%{srcname}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python%{py2_prefix}-devel
BuildRequires:  python%{py2_prefix}-setuptools

%if %{with python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # with python3

%description %{desc}


%package     -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}
Requires:       python%{py2_prefix}-six

%description -n python2-%{srcname} %{desc}

This package provides the Python 2 version.

%if %{with python3}
%package     -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3-six

%description -n python3-%{srcname} %{desc}

This package provides the Python 3 version.

%endif # with python3


%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build

%if %{with python3}
%py3_build
%endif # with python3


%install
%py2_install

%if %{with python3}
%py3_install
%endif # with python3


%files -n python2-%{srcname}
%license COPYING
%doc README.md ChangeLog
%{python2_sitelib}/rpmmd/
%{python2_sitelib}/%{srcname}-%{version}*/

%if %{with python3}
%files -n python3-%{srcname}
%license COPYING
%doc README.md ChangeLog
%{python3_sitelib}/rpmmd/
%{python3_sitelib}/%{srcname}-%{version}*/
%endif # with python3


%changelog
* Sat Aug 12 2017 Neal Gompa <ngompa13@gmail.com> - 0.1.1
- Update to 0.1.1

* Sun May 14 2017 Neal Gompa <ngompa13@gmail.com> - 0.1.0
- Initial packaging
